Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Taking into account a new version of a plugin
Taking into account a new version of a plugin [message #839386] Sun, 08 April 2012 16:23 Go to next message
Laurent Barbareau is currently offline Laurent BarbareauFriend
Messages: 10
Registered: July 2009
Location: Aix en Provence - France
Junior Member
Hello,

I've made a fix of a plug-in of an RCP application and I encounter some troubles to make it taken into account, in replacement of the previous one.

The plug-in is a part of a feature.
At the moment to deploy the plugin, I increment its version, e.g. from 1.1.4 to 1.1.5. I also increment the version of the feature as well.

Then, I generate the update-site with the new version of the feature.

Everything works fine and the installation of the new version of the plugin is done properly into the existing RCP application.

But that new version is not used immediately. To do so, I have to remove manually the matching jar of the old plug-in from the plugins directory of the application.

Anybody knows what I should do to fix that problem ?

The target platform is Eclipse 3.4.1

Thanks a lot for your help.

[Updated on: Sun, 08 April 2012 16:24]

Report message to a moderator

Re: Taking into account a new version of a plugin [message #839967 is a reply to message #839386] Mon, 09 April 2012 13:40 Go to previous messageGo to next message
Michael Pellaton is currently offline Michael PellatonFriend
Messages: 289
Registered: July 2009
Senior Member
Hi

Have you tried to start your application with the option -clean [1]
after the installation of the new version?

[1]
http://help.eclipse.org/indigo/topic/org.eclipse.platform.doc.isv/reference/misc/runtime-options.html

Are you using p2 or the old update manager to install the plugins in
your application? Back in 3.4, p2 was new and immature...

Michael
Re: Taking into account a new version of a plugin [message #839978 is a reply to message #839967] Mon, 09 April 2012 13:55 Go to previous message
Laurent Barbareau is currently offline Laurent BarbareauFriend
Messages: 10
Registered: July 2009
Location: Aix en Provence - France
Junior Member
Yes, I had tried with the -clean option.

I think it's the old version of the update manager, not p2. Then, I know it may be the reason of the problem but I think it's strange anyway...

I'm not the author of the RCP application. I just try to fix few little bugs (and I'm really not an expert), then before to switch everything into p2 or any other stuff with a more recent platform, I prefer to be sure.

Thanks a lot for your answer.
Previous Topic:Fun with fragments...
Next Topic:Invoking the "run" button command in plugin
Goto Forum:
  


Current Time: Thu Dec 18 15:35:07 GMT 2014

Powered by FUDForum. Page generated in 0.01880 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software